edu.csus.ecs.pc2.api

## Class ContestTestFrame.RunListener

- java.lang.Object
- - edu.csus.ecs.pc2.api.ContestTestFrame.RunListener

- All Implemented Interfaces:
    IRunEventListener
  Enclosing class:
    ContestTestFrame

      protected class ContestTestFrame.RunListener
      extends Object
      implements IRunEventListener

  Run Listener for ContestTestFrame.
  Version:
    $Id$
  Author:
    pc2@ecs.csus.edu

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContestTestFrame.RunListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `runCheckedOut(IRun run, boolean isFinal)` Invoked when a run has been checked by a judge.
    `void` | `runCompiling(IRun run, boolean isFinal)` Invoked when an existing run is being compiled.
    `void` | `runDeleted(IRun run)` Invoked when an existing run has been deleted from the contest (marked as deleted by the Contest Administrator).
    `void` | `runExecuting(IRun run, boolean isFinal)` Invoked when an existing run is being executed.
    `void` | `runJudged(IRun run, boolean isFinal)` Invoked when an existing run has been judged; that is, has had a Judgement applied to it.
    `void` | `runJudgingCanceled(IRun run, boolean isFinal)` Invoked if the run is re-queued for judgement.
    `void` | `runSubmitted(IRun run)` Invoked when a new run has been added to the contest.
    `void` | `runUpdated(IRun run, boolean isFinal)` Invoked when an existing run has been updated (modified) in some way.
    `void` | `runValidating(IRun run, boolean isFinal)` Invoked when an existing run is being validated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContestTestFrame.RunListener

          protected ContestTestFrame.RunListener()

  - ### Method Detail

    - #### runJudged

          public void runJudged(IRun run,
                       boolean isFinal)

      Description copied from interface: `IRunEventListener`
      Invoked when an existing run has been judged; that is, has had a Judgement applied to it. Typically this happens when a judge assigns a Judgement, but it can also occur as a result of an "automated judgement" (also known as a "validator") applying a judgement automatically.
      Specified by:
        `runJudged` in interface `IRunEventListener`
      Parameters:
        `run` - the judged `IRun`
        `isFinal` - true if this is a action for a final Judgement.

    - #### runUpdated

          public void runUpdated(IRun run,
                        boolean isFinal)

      Description copied from interface: `IRunEventListener`
      Invoked when an existing run has been updated (modified) in some way.

      Typically a `runUpdated()` invocation occurs when either

      - A judge re-judges a run; or
      - The Contest Administrator changes a setting (such as the elapsed time or the assigned `IJudgement`) in the run.
      Specified by:
        `runUpdated` in interface `IRunEventListener`
      Parameters:
        `run` - the `IRun` which has been changed
        `isFinal` - true if this is a action for a final Judgement.

    - #### runExecuting

          public void runExecuting(IRun run,
                          boolean isFinal)

      Description copied from interface: `IRunEventListener`
      Invoked when an existing run is being executed.
      Specified by:
        `runExecuting` in interface `IRunEventListener`
      Parameters:
        `run` - the `IRun` which is being executed.
        `isFinal` - true if this is a action for a final Judgement.

    - #### runValidating

          public void runValidating(IRun run,
                           boolean isFinal)

      Description copied from interface: `IRunEventListener`
      Invoked when an existing run is being validated.
      Specified by:
        `runValidating` in interface `IRunEventListener`
      Parameters:
        `run` - the `IRun` which is being validated.
        `isFinal` - true if this is a action for a final Judgement.

    - #### runSubmitted

          public void runSubmitted(IRun run)

      Description copied from interface: `IRunEventListener`
      Invoked when a new run has been added to the contest.

      Typically this means that a run has been submitted by a team; it may also may be caused by a remote server in a multi-site contest sending its run(s) to the local server.

      The added run may have been originally entered into the contest on either the local server (the server to which this client is connected) or on a remote server.

      Specified by:
        `runSubmitted` in interface `IRunEventListener`
      Parameters:
        `run` - the `IRun` that has been added to the contest

    - #### runDeleted

          public void runDeleted(IRun run)

      Description copied from interface: `IRunEventListener`
      Invoked when an existing run has been deleted from the contest (marked as deleted by the Contest Administrator).
      Specified by:
        `runDeleted` in interface `IRunEventListener`
      Parameters:
        `run` - the deleted `IRun`

    - #### runCompiling

          public void runCompiling(IRun run,
                          boolean isFinal)

      Description copied from interface: `IRunEventListener`
      Invoked when an existing run is being compiled.
      Specified by:
        `runCompiling` in interface `IRunEventListener`
      Parameters:
        `run` - the `IRun` which is being compiled.
        `isFinal` - true if this is a action for a final Judgement.

    - #### runJudgingCanceled

          public void runJudgingCanceled(IRun run,
                                boolean isFinal)

      Description copied from interface: `IRunEventListener`
      Invoked if the run is re-queued for judgement. If a judge has checked out a run then cancels (returns the run to the set of runs to be judged) then this method will be invoked.
      Specified by:
        `runJudgingCanceled` in interface `IRunEventListener`
      Parameters:
        `run` - the `IRun` which has been returned to the judging queue.
        `isFinal` - true if this is a action for a final Judgement.

    - #### runCheckedOut

          public void runCheckedOut(IRun run,
                           boolean isFinal)

      Description copied from interface: `IRunEventListener`
      Invoked when a run has been checked by a judge.
      Specified by:
        `runCheckedOut` in interface `IRunEventListener`
        `isFinal` - true if this is a action for a final Judgement.
      See Also:
        `IRunEventListener.runJudgingCanceled(edu.csus.ecs.pc2.api.IRun, boolean)`